import type { NobjcObject } from "objc-js";
import type { _NSCopying } from "../Foundation/NSCopying.js";
import type { _NSData } from "../Foundation/NSData.js";
import type { _NSObject } from "../Foundation/NSObject.js";
import type { _NSString } from "../Foundation/NSString.js";
export declare class _AVBMACAddress extends _NSObject {
    static alloc(): _AVBMACAddress;
    static new(): _AVBMACAddress;
    init(): _AVBMACAddress;
    /**
     * This method initializes the receiver to contain the MAC address specified. A pointer to 6 octets of memory containing the MAC address. The initialized receiver.
     */
    initWithBytes$(bytes: NobjcObject): _AVBMACAddress;
    /** The . */
    bytes(): NobjcObject;
    /** An NSData object containing the bytes of the MAC address. */
    dataRepresentation(): _NSData;
    setDataRepresentation$(value: _NSData): void;
    /**
     * The colon separated cannonical string representation of the MAC address e.g. 12:34:56:78:ab:cd
     */
    stringRepresentation(): _NSString;
    setStringRepresentation$(value: _NSString): void;
    /** Returns if the multicast bit is set in the MAC address. */
    multicast(): boolean;
    setMulticast$(value: boolean): void;
}
export interface _AVBMACAddress extends _NSCopying {
}
